Bug 248394 - Review Request: perl-Text-LevenshteinXS - XS implementation of the Levenshtein edit distance
Summary: Review Request: perl-Text-LevenshteinXS - XS implementation of the Levenshtei...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-16 17:01 UTC by Steven Pritchard
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-23 22:06:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Steven Pritchard 2007-07-16 17:01:27 UTC
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-Text-LevenshteinXS/perl-Text-LevenshteinXS.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-Text-LevenshteinXS-0.03-1.src.rpm
Description:
This module implements the Levenshtein edit distance in a XS way.

Comment 1 Parag AN(पराग) 2007-07-20 03:49:14 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
576d6dc3e6aa9e80686f244969e885e6  Text-LevenshteinXS-0.03.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
PERL_DL_NONLAZY=1 /usr/bin/perl "-Iblib/lib" "-Iblib/arch" test.pl
1..6
# Running under perl version 5.008008 for linux
# Current time local: Thu Jul 19 23:39:29 2007
# Current time GMT:   Fri Jul 20 03:39:29 2007
# Using Test.pm version 1.25
ok 1
ok 2
ok 3
ok 4
ok 5
ok 6
+ exit 0
+ Provides: LevenshteinXS.so perl(Text::LevenshteinXS) = 0.03
+ Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3)
perl(:MODULE_COMPAT_5.8.8) perl(AutoLoader) perl(Carp) perl(DynaLoader)
perl(Exporter) perl(strict) perl(warnings) rtld(GNU_HASH)

APPROVED.


Comment 2 Steven Pritchard 2007-07-20 16:14:05 UTC
New Package CVS Request
=======================
Package Name: perl-Text-LevenshteinXS
Short Description: XS implementation of the Levenshtein edit distance
Owners: steve@silug.org
Branches: FC-6 F-7 EL-4 EL-5
InitialCC: fedora-perl-devel-list@redhat.com


Note You need to log in before you can comment on or make changes to this bug.